using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.ComponentModel;

namespace WPF.BackgroundColor
{
	public class SingleOrder : INotifyPropertyChanged
	{
		private string _instrument;
		public string Instrument
		{
			get { return _instrument; }
			set
			{
				if (_instrument != value)
				{
					_instrument = value;
					this.OnPropertyChanged("Instrument");
				}
			}
		}

		private System.String _state;
		public System.String State
		{
			get { return _state; }
			set
			{
				if (!String.Equals(_state, value))
				{
					_state = value;
					this.OnPropertyChanged("State");

				}
			}
		}

		#region INotifyPropertyChanged Members

		public event PropertyChangedEventHandler PropertyChanged;

		#endregion

		protected virtual void OnPropertyChanged(string propertyName)
		{
			if (this.PropertyChanged != null)
			{
				this.PropertyChanged(this, new PropertyChangedEventArgs(propertyName));
			}
		}
	}
}
